import { Edition } from "@/data/edition";
import { EditionAction, EditionActions } from "@/state/actions/edition";

export type EditionState = Edition | null;

const initialEditionState: EditionState = null;

const editionReducer = (state: EditionState = initialEditionState, action: EditionAction): EditionState => {
    switch (action.type) {
        case EditionActions.Set:
            return action.edition;
    }

    return state;
}

export default editionReducer;
